Subject: Re: [PATCHv2/RFC] gitweb: Prepare for splitting gitweb

From: Jakub Narebski <[email-masked]>
Date: Thu, 8 Jul 2010 08:59:30 +0200

Dnia czwartek 8. lipca 2010 02:30, Junio C Hamano napisał:
> Jakub Narebski <[email-masked]> writes:
> 
> >> > +install-modules:
> >> > +	install_dirs=$(sort $(dir $(GITWEB_MODULES))) && \
> >> > ...
> >
> > For example with the following Makefile:
> >
> >   GITWEB_MODULES += GitwebCache/SimpleFileCache.pm
> >   GITWEB_MODULES += GitwebCache/Capture.pm
> >   GITWEB_MODULES += GitwebCache/Capture/SelectFH.pm
> >   GITWEB_MODULES += Gitweb/Config.pm
> >   
> >   all:
> >   	@echo $(sort $(dir $(GITWEB_MODULES)))
> >
> > running 'make' results in:
> >
> >   Gitweb/ GitwebCache/ GitwebCache/Capture/
> 
> 
> Try replacing that with:
> 
> 	all:
>         	install_dirs=$(sort $(dir $(GITWEB_MODULES))) && \
>                 echo $$install_dirs
> 
> perhaps?
> 
> Hint: dq.

You are completely right.  I'm sorry.  I should have copied the 
structure from "[PATCH 2/2 v2] Makefile: work around ksh's failure to 
handle missing list argument to for loop" more carefully.

I'll resend it.
-- 
Jakub Narebski
Poland